Barbican
All operations require authentication.
List secret containersProduction
Returns the secret containers of the project. A container groups secrets used together, such as a certificate and its private key. Relies on the OpenStack Barbican component.
Path parameters
Project ID
Headers
Pagination cursor
Pagination size
Response
Computed hash representing the current target specification value
Creation date of the container
Current observed state of the container from the infrastructure
Ongoing asynchronous tasks related to the container
Unique identifier of the container
Container readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the container
Last update date of the container
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ keyManager/ container \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "creatorId": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "secretRefs": [ { "name": "string", "secret": { "id": "00000000-0000-0000-0000-000000000000" } } ], "status": "ACTIVE", "type": "CERTIFICATE" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "secretRefs": [ { "name": "string", "secret": { "id": "00000000-0000-0000-0000-000000000000" } } ], "type": "CERTIFICATE" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Get a secret containerProduction
Returns the container, its secret references and its current state. Relies on the OpenStack Barbican component.
Path parameters
Container ID
Project ID
Response
Computed hash representing the current target specification value
Creation date of the container
Current observed state of the container from the infrastructure
Ongoing asynchronous tasks related to the container
Unique identifier of the container
Container readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the container
Last update date of the container
Example uses containerId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ keyManager/ container/ {containerId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "creatorId": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "secretRefs": [ { "name": "string", "secret": { "id": "00000000-0000-0000-0000-000000000000" } } ], "status": "ACTIVE", "type": "CERTIFICATE" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "secretRefs": [ { "name": "string", "secret": { "id": "00000000-0000-0000-0000-000000000000" } } ], "type": "CERTIFICATE" }, "updatedAt": "2024-01-01T12:00:00Z"}
Create a secret containerProduction
Creates a certificate, RSA or generic container in a region. It references existing secrets, each under a role name. Relies on the OpenStack Barbican component.
Path parameters
Project ID
Request body (required)
Desired target specification for the container
Response
Computed hash representing the current target specification value
Creation date of the container
Current observed state of the container from the infrastructure
Ongoing asynchronous tasks related to the container
Unique identifier of the container
Container readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the container
Last update date of the container
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ keyManager/ container \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "creatorId": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "secretRefs": [ { "name": "string", "secret": { "id": "00000000-0000-0000-0000-000000000000" } } ], "status": "ACTIVE", "type": "CERTIFICATE" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "secretRefs": [ { "name": "string", "secret": { "id": "00000000-0000-0000-0000-000000000000" } } ], "type": "CERTIFICATE" }, "updatedAt": "2024-01-01T12:00:00Z"}
Delete a secret containerProduction
Deletes the container. Relies on the OpenStack Barbican component.
Path parameters
Container ID
Project ID
Response
Computed hash representing the current target specification value
Creation date of the container
Current observed state of the container from the infrastructure
Ongoing asynchronous tasks related to the container
Unique identifier of the container
Container readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the container
Last update date of the container
Example uses containerId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ keyManager/ container/ {containerId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "creatorId": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "secretRefs": [ { "name": "string", "secret": { "id": "00000000-0000-0000-0000-000000000000" } } ], "status": "ACTIVE", "type": "CERTIFICATE" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "secretRefs": [ { "name": "string", "secret": { "id": "00000000-0000-0000-0000-000000000000" } } ], "type": "CERTIFICATE" }, "updatedAt": "2024-01-01T12:00:00Z"}
Replace container secret referencesProduction
Replaces all secret references of the container. Only the secret references can be changed after creation. Relies on the OpenStack Barbican component.
Path parameters
Container ID
Project ID
Request body (required)
Optional concurrency-control checksum. When supplied, it must match the resource's current checksum or the request is rejected with a 409 checksum-mismatch conflict. When omitted or empty, the concurrency check is skipped and the write is forced (last-write-wins).
Desired target specification for the container
Response
Computed hash representing the current target specification value
Creation date of the container
Current observed state of the container from the infrastructure
Ongoing asynchronous tasks related to the container
Unique identifier of the container
Container readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the container
Last update date of the container
Example uses containerId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ keyManager/ container/ {containerId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "creatorId": "string", "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "secretRefs": [ { "name": "string", "secret": { "id": "00000000-0000-0000-0000-000000000000" } } ], "status": "ACTIVE", "type": "CERTIFICATE" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "location": { "availabilityZone": "string", "region": "string" }, "name": "string", "secretRefs": [ { "name": "string", "secret": { "id": "00000000-0000-0000-0000-000000000000" } } ], "type": "CERTIFICATE" }, "updatedAt": "2024-01-01T12:00:00Z"}
List container consumersProduction
Returns the resources registered as using the container: instances, images or load balancers. Relies on the OpenStack Barbican component.
Path parameters
Container ID
Project ID
Headers
Pagination cursor
Pagination size
Response
Computed consumer identifier
UUID of the resource consuming the container
Type of the resource consuming the container
IMAGEINSTANCELOADBALANCEROpenStack service type of the consumer
COMPUTEIMAGELOADBALANCERNETWORKExample uses containerId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ keyManager/ container/ {containerId}/ consumer \
-H "authorization: Bearer $OVH_TOKEN"[ { "id": "string", "resourceId": "00000000-0000-0000-0000-000000000000", "resourceType": "IMAGE", "service": "COMPUTE" }]
Get a container consumerProduction
Returns one resource registered as using the container, with its type and service. Relies on the OpenStack Barbican component.
Path parameters
Consumer ID
Container ID
Project ID
Response
Computed consumer identifier
UUID of the resource consuming the container
Type of the resource consuming the container
IMAGEINSTANCELOADBALANCEROpenStack service type of the consumer
COMPUTEIMAGELOADBALANCERNETWORKExample uses consumerId = string, containerId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ keyManager/ container/ {containerId}/ consumer/ {consumerId} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": "string", "resourceId": "00000000-0000-0000-0000-000000000000", "resourceType": "IMAGE", "service": "COMPUTE"}
Register a container consumerProduction
Records that an instance, an image or a load balancer uses the container. Relies on the OpenStack Barbican component.
Path parameters
Container ID
Project ID
Request body (required)
UUID of the resource consuming the container
Type of the resource consuming the container
IMAGEINSTANCELOADBALANCEROpenStack service type of the consumer
COMPUTEIMAGELOADBALANCERNETWORKResponse
Computed consumer identifier
UUID of the resource consuming the container
Type of the resource consuming the container
IMAGEINSTANCELOADBALANCEROpenStack service type of the consumer
COMPUTEIMAGELOADBALANCERNETWORKExample uses containerId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ keyManager/ container/ {containerId}/ consumer \
-H "authorization: Bearer $OVH_TOKEN"{ "id": "string", "resourceId": "00000000-0000-0000-0000-000000000000", "resourceType": "IMAGE", "service": "COMPUTE"}
Remove a container consumerProduction
Removes the consumer registration. The resource itself is not deleted. Relies on the OpenStack Barbican component.
Path parameters
Consumer ID
Container ID
Project ID
Response
Computed consumer identifier
UUID of the resource consuming the container
Type of the resource consuming the container
IMAGEINSTANCELOADBALANCEROpenStack service type of the consumer
COMPUTEIMAGELOADBALANCERNETWORKExample uses consumerId = string, containerId = 00000000-0000-0000-0000-000000000000, projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ keyManager/ container/ {containerId}/ consumer/ {consumerId} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": "string", "resourceId": "00000000-0000-0000-0000-000000000000", "resourceType": "IMAGE", "service": "COMPUTE"}
List secret consumersProduction
Returns the resources registered as using the secret: instances, images or load balancers. Relies on the OpenStack Barbican component.
Path parameters
Project ID
Secret ID
Headers
Pagination cursor
Pagination size
Response
Computed consumer identifier
UUID of the resource consuming the secret
Type of the resource consuming the secret
IMAGEINSTANCELOADBALANCEROpenStack service type of the consumer
COMPUTEIMAGELOADBALANCERNETWORKExample uses projectId = string, secretId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ keyManager/ secret/ {secretId}/ consumer \
-H "authorization: Bearer $OVH_TOKEN"[ { "id": "string", "resourceId": "00000000-0000-0000-0000-000000000000", "resourceType": "IMAGE", "service": "COMPUTE" }]
Get a secret consumerProduction
Returns one resource registered as using the secret, with its type and service. Relies on the OpenStack Barbican component.
Path parameters
Consumer ID
Project ID
Secret ID
Response
Computed consumer identifier
UUID of the resource consuming the secret
Type of the resource consuming the secret
IMAGEINSTANCELOADBALANCEROpenStack service type of the consumer
COMPUTEIMAGELOADBALANCERNETWORKExample uses consumerId = string, projectId = string, secretId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ keyManager/ secret/ {secretId}/ consumer/ {consumerId} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": "string", "resourceId": "00000000-0000-0000-0000-000000000000", "resourceType": "IMAGE", "service": "COMPUTE"}
Register a secret consumerProduction
Records that an instance, an image or a load balancer uses the secret. Relies on the OpenStack Barbican component.
Path parameters
Project ID
Secret ID
Request body (required)
UUID of the resource consuming the secret
Type of the resource consuming the secret
IMAGEINSTANCELOADBALANCEROpenStack service type of the consumer
COMPUTEIMAGELOADBALANCERNETWORKResponse
Computed consumer identifier
UUID of the resource consuming the secret
Type of the resource consuming the secret
IMAGEINSTANCELOADBALANCEROpenStack service type of the consumer
COMPUTEIMAGELOADBALANCERNETWORKExample uses projectId = string, secretId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ keyManager/ secret/ {secretId}/ consumer \
-H "authorization: Bearer $OVH_TOKEN"{ "id": "string", "resourceId": "00000000-0000-0000-0000-000000000000", "resourceType": "IMAGE", "service": "COMPUTE"}
Remove a secret consumerProduction
Removes the consumer registration. The resource itself is not deleted. Relies on the OpenStack Barbican component.
Path parameters
Consumer ID
Project ID
Secret ID
Response
Computed consumer identifier
UUID of the resource consuming the secret
Type of the resource consuming the secret
IMAGEINSTANCELOADBALANCEROpenStack service type of the consumer
COMPUTEIMAGELOADBALANCERNETWORKExample uses consumerId = string, projectId = string, secretId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ keyManager/ secret/ {secretId}/ consumer/ {consumerId} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": "string", "resourceId": "00000000-0000-0000-0000-000000000000", "resourceType": "IMAGE", "service": "COMPUTE"}
List secretsProduction
Returns the secrets of the project, without their payload. Relies on the OpenStack Barbican component.
Path parameters
Project ID
Headers
Pagination cursor
Pagination size
Response
Computed hash representing the current target specification value
Creation date of the secret
Current state of the secret
Ongoing asynchronous tasks related to the secret
Unique identifier of the secret
Secret readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the secret
Last update date of the secret
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ keyManager/ secret \
-H "authorization: Bearer $OVH_TOKEN"[ { "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "algorithm": "AES", "bitLength": 128, "creatorId": "string", "expiration": "2024-01-01T12:00:00Z", "location": { "availabilityZone": "string", "region": "string" }, "metadata": { "key": "string" }, "mode": "CBC", "name": "string", "payloadContentType": "APPLICATION_OCTET_STREAM", "secretType": "CERTIFICATE", "status": "ACTIVE" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "algorithm": "AES", "bitLength": 128, "expiration": "2024-01-01T12:00:00Z", "location": { "availabilityZone": "string", "region": "string" }, "metadata": { "key": "string" }, "mode": "CBC", "name": "string", "payload": "string", "payloadContentType": "APPLICATION_OCTET_STREAM", "secretType": "CERTIFICATE" }, "updatedAt": "2024-01-01T12:00:00Z" }]
Get a secretProduction
Returns the secret metadata and its current state, without the payload. Relies on the OpenStack Barbican component.
Path parameters
Project ID
Secret ID
Response
Computed hash representing the current target specification value
Creation date of the secret
Current state of the secret
Ongoing asynchronous tasks related to the secret
Unique identifier of the secret
Secret readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the secret
Last update date of the secret
Example uses projectId = string, secretId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ keyManager/ secret/ {secretId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "algorithm": "AES", "bitLength": 128, "creatorId": "string", "expiration": "2024-01-01T12:00:00Z", "location": { "availabilityZone": "string", "region": "string" }, "metadata": { "key": "string" }, "mode": "CBC", "name": "string", "payloadContentType": "APPLICATION_OCTET_STREAM", "secretType": "CERTIFICATE", "status": "ACTIVE" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "algorithm": "AES", "bitLength": 128, "expiration": "2024-01-01T12:00:00Z", "location": { "availabilityZone": "string", "region": "string" }, "metadata": { "key": "string" }, "mode": "CBC", "name": "string", "payload": "string", "payloadContentType": "APPLICATION_OCTET_STREAM", "secretType": "CERTIFICATE" }, "updatedAt": "2024-01-01T12:00:00Z"}
Create a secretProduction
Creates a secret in a region. A payload requires a payload content type, and it is never returned in responses. Relies on the OpenStack Barbican component.
Path parameters
Project ID
Request body (required)
Desired target specification for the secret to create
Response
Computed hash representing the current target specification value
Creation date of the secret
Current state of the secret
Ongoing asynchronous tasks related to the secret
Unique identifier of the secret
Secret readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the secret
Last update date of the secret
Example uses projectId = string
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ keyManager/ secret \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "algorithm": "AES", "bitLength": 128, "creatorId": "string", "expiration": "2024-01-01T12:00:00Z", "location": { "availabilityZone": "string", "region": "string" }, "metadata": { "key": "string" }, "mode": "CBC", "name": "string", "payloadContentType": "APPLICATION_OCTET_STREAM", "secretType": "CERTIFICATE", "status": "ACTIVE" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "algorithm": "AES", "bitLength": 128, "expiration": "2024-01-01T12:00:00Z", "location": { "availabilityZone": "string", "region": "string" }, "metadata": { "key": "string" }, "mode": "CBC", "name": "string", "payload": "string", "payloadContentType": "APPLICATION_OCTET_STREAM", "secretType": "CERTIFICATE" }, "updatedAt": "2024-01-01T12:00:00Z"}
Delete a secretProduction
Deletes the secret and its payload. Relies on the OpenStack Barbican component.
Path parameters
Project ID
Secret ID
Response
Computed hash representing the current target specification value
Creation date of the secret
Current state of the secret
Ongoing asynchronous tasks related to the secret
Unique identifier of the secret
Secret readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the secret
Last update date of the secret
Example uses projectId = string, secretId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ keyManager/ secret/ {secretId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "algorithm": "AES", "bitLength": 128, "creatorId": "string", "expiration": "2024-01-01T12:00:00Z", "location": { "availabilityZone": "string", "region": "string" }, "metadata": { "key": "string" }, "mode": "CBC", "name": "string", "payloadContentType": "APPLICATION_OCTET_STREAM", "secretType": "CERTIFICATE", "status": "ACTIVE" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "algorithm": "AES", "bitLength": 128, "expiration": "2024-01-01T12:00:00Z", "location": { "availabilityZone": "string", "region": "string" }, "metadata": { "key": "string" }, "mode": "CBC", "name": "string", "payload": "string", "payloadContentType": "APPLICATION_OCTET_STREAM", "secretType": "CERTIFICATE" }, "updatedAt": "2024-01-01T12:00:00Z"}
Update secret metadataProduction
Replaces all metadata of the secret. Only the metadata can be changed after creation. Relies on the OpenStack Barbican component.
Path parameters
Project ID
Secret ID
Request body (required)
Optional concurrency-control checksum. When supplied, it must match the resource's current checksum or the request is rejected with a 409 checksum-mismatch conflict. When omitted or empty, the concurrency check is skipped and the write is forced (last-write-wins).
Desired target specification for the secret
Response
Computed hash representing the current target specification value
Creation date of the secret
Current state of the secret
Ongoing asynchronous tasks related to the secret
Unique identifier of the secret
Secret readiness in the system
CREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATINGLast target specification of the secret
Last update date of the secret
Example uses projectId = string, secretId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ keyManager/ secret/ {secretId} \
-H "authorization: Bearer $OVH_TOKEN"{ "checksum": "string", "createdAt": "2024-01-01T12:00:00Z", "currentState": { "algorithm": "AES", "bitLength": 128, "creatorId": "string", "expiration": "2024-01-01T12:00:00Z", "location": { "availabilityZone": "string", "region": "string" }, "metadata": { "key": "string" }, "mode": "CBC", "name": "string", "payloadContentType": "APPLICATION_OCTET_STREAM", "secretType": "CERTIFICATE", "status": "ACTIVE" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "algorithm": "AES", "bitLength": 128, "expiration": "2024-01-01T12:00:00Z", "location": { "availabilityZone": "string", "region": "string" }, "metadata": { "key": "string" }, "mode": "CBC", "name": "string", "payload": "string", "payloadContentType": "APPLICATION_OCTET_STREAM", "secretType": "CERTIFICATE" }, "updatedAt": "2024-01-01T12:00:00Z"}
Get a secret payloadProduction
Returns the payload of the secret. No other call returns it. Relies on the OpenStack Barbican component.
Path parameters
Project ID
Secret ID
Response
Secret payload data
Example uses projectId = string, secretId = 00000000-0000-0000-0000-000000000000
$ curl https:/ / api.eu.ovhcloud.com/ v2/ publicCloud/ project/ {projectId}/ keyManager/ secret/ {secretId}/ payload \
-H "authorization: Bearer $OVH_TOKEN"{ "payload": "string"}